gump-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Fix expat-configure build failures on Gump
Date Thu, 16 Feb 2012 23:55:05 GMT
Hi!

I would like to make use of Tomcat native connectors built by
tomcat-connectors-native module. The problem is that this module
cannot be built because of prerequisites failure. The project depends
on httpd -> apr -> expat, and expat-configure is failing. It is in the
failed state for very long time.

Previous discussion that I found, from August 2010 "expat-configure
problem" [1], says that the problem is that the build is incompatible
with new version of autoconf.

That thread mentions that some servers were building expat
successfully at that time. But nowadays all Gump servers that I know
about are failing this build (vmgump, freebsd, Mac OS X (adam)). E.g.
[2]

[1] http://marc.info/?t=128146620400019&r=1&w=2
[2] http://vmgump.apache.org/gump/public/expat/expat-configure/
http://adam.apache.org/gump/expat/expat-configure/
http://gump.zones.apache.org/gump/public/expat/expat-configure/

Is it possible to fix this issue?

I see that [1] mentions two possible workarounds
a.  apply some fix
b.  use system-provided version of expat



Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
For additional commands, e-mail: general-help@gump.apache.org


Mime
View raw message